Package org.apache.solr.client.solrj.io.comp

## Class HashKey

- java.lang.Object
- - org.apache.solr.client.solrj.io.comp.HashKey

All Implemented Interfaces:
  `Serializable`

    public class HashKey
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`HashKey​(Object[] parts)`
`HashKey​(String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`Object[]` `getParts()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HashKey

    public HashKey​(String value)

#### HashKey

    public HashKey​(Object[] parts)

### Method Detail

#### getParts

    public Object[] getParts()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`